Subject: Re: [PATCH v2 1/1] xdiff: provide indirection to git functions

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Feb 2022 10:58:32 -0800

Edward Thomson <[email-masked]> writes:

> No, the thinking is that they would provide their own `git-xdiff.h` that
> defines the mappings to their project-specific APIs.

Is that spelled out somewhere?  That would help future readers of
the file to learn what they need to do when reusing the part,
perhaps in a comment near the top of that file itself.

If git-xdiff.h is meant to be modified to match the need for non-git
codebase, it probably should be named to a more descriptive name,
like xdiff-compat.h or something, I would think.  git-xdiff.h that
has libgit2 specific names in it would look quite strange.